<?xml version="1.0" encoding="UTF-8"?>

<ROOT xmlns:xsi='http://www.w3.org/2001/XMLSchema-instance' xsi:noNamespaceSchemaLocation='http://www.oneit.com.au/schemas/5.2/BusinessObject.xsd'>

    <BUSINESSCLASS  name="CultureElement"   package="performa.orm">

        <IMPORT value="performa.orm.types.*"/>
        
        <MULTIPLEREFERENCE  name="Questions"    type="CultureElementQuestion"   backreferenceName="CultureElement" />
        <MULTIPLEREFERENCE  name="Ratings"      type="CultureElementRating"     backreferenceName="CultureElement" />
        <MULTIPLEREFERENCE  name="Narratives"   type="CultureNarrative"         backreferenceName="CultureElement" />
        
        <TABLE  name="tl_culture_element"   tablePrefix="object"    polymorphic="FALSE">

            <ATTRIB name="Description"          type="String"       dbcol="culture_element_desc"    length="200"/>
            <ATTRIB name="DetailedDescription"  type="String"       dbcol="detailed_desc"           length="2000"/>
            <ATTRIB name="CultureClass"         type="CultureClass" dbcol="culture_class_code"      attribHelper="EnumeratedAttributeHelper" />

        </TABLE>
                
        <SEARCH type="All"  paramFilter="tl_culture_element.object_id is not null"  orderBy="tl_culture_element.object_id" />

    </BUSINESSCLASS>
    
</ROOT>